<template>
  <div
    role="tablist"
    class="ac-accordion"
  >
    <!-- Tab will be created for each object in data prop -->
    <b-card
      no-body
      class="mb-1"
      v-for="(tab, index) in data"
      :key="index"
    >
      <b-card-header
        header-tag="header"
        class="p-1"
        role="tab"
        v-b-toggle="`accordion${index}`"
      >
        <!-- @slot Use this slot for title -->
        <slot name="title" :data="tab"></slot>
      </b-card-header>

      <b-collapse
        :id="`accordion${index}`"
        accordion="my-accordion"
        role="tabpanel"
      >
        <!-- @slot Slot takes name from 'ref' key inside data -->
        <slot :name="tab.ref" :data="tab"></slot>
      </b-collapse>
    </b-card>
  </div>
</template>

<script>
/**
 * ac Accordion component
 * @requires VueBootstrap
 */


export default {
  name: 'ac-accordion',

  props: {
    /**
     * @param {array} data - Array of objects. Each object will be rendered as tab
     */
    data: {
      type: Array,
      required: true,
    },
  },
}
</script>
